camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Olivier.Roger" <olivier.ro...@bsb.com>
Subject [camel-hawt] fixed in 2.5
Date Tue, 05 Oct 2010 12:27:24 GMT

Seeing the ticket  https://issues.apache.org/activemq/browse/CAMEL-3120
CAMEL-3120  I had 
http://servicemix.396122.n5.nabble.com/Feature-Update-HawtDB-for-Camel-td3199011.html#a3199011
a question for servicemix .
I guess the question is more related to Camel so I ask it here.

I am currently using Fuse ESB distribution of SMX which is bundled with
HawtDB 1.1 and Hawtbuf 1.0.
Apparently fixed version are 1.4 and 1.2, respectively.

I was wondering if and how it would be possible to update the feature
bundles to benefit from the fixed version of HawtDB and Hawtbuf ? 

Apparently, Just changing the dependencies to HawtDB is not sufficient. I
get this error :

NoSuchMethodError:
org.fusesource.hawtdb.api.BTreeIndexFactory.create(Lorg/fusesource/hawtdb/api/Paged;I)Lorg/fusesource/hawtdb/api/SortedIndex

Maybe the API has changed.

Would it be possible to install the component camel-hauwtdb in 2.5 version
(trunk) with Camel 2.4 to benefit of the fix?
-- 
View this message in context: http://camel.465427.n5.nabble.com/camel-hawt-fixed-in-2-5-tp3199363p3199363.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message